PDA

View Full Version : How to get a working 6.0?



Bart Maguire
2004-12-28, 14:51
<?xml version="1.0" ?><html>
<head>
<title></title>
</head>
<body>
<div align="left"><font face="Arial"><span style="font-size:10pt">I had 5.4.0 running but I wanted to use the MusicMagic integration so I
downloaded SlimServer_v2004-12-27.tar.gz (and SlimServer_v2004-
12-28.tar.gz), ran tar -xzvf SlimServer_v2004-12-27.tar.gz, copied the
contents of the directory to /usr/local/slimserver, ran
/usr/local/slimserver/slimserver.pl, it failed with the following errors:</span></font></div>
<div align="left"><br/>
</div>
<div align="left"><font face="Arial"><span style="font-size:10pt">linux:/usr/local/slimserver # Can't locate DBI.pm in @INC (@INC
contains: /usr/local/slimserver /usr/local/slimserver/CPAN
/usr/local/slimserver/CPAN/arch/5.8.3/i586-linux-thread-multi
/usr/local/slimserver/CPAN/arch/5.8.3/i586-linux-thread-multi/auto
/usr/local/slimserver/CPAN/arch/5.8/i586-linux-thread-multi
/usr/local/slimserver/CPAN/arch/5.8/i586-linux-thread-multi/auto
/usr/local/slimserver/CPAN/arch/i586-linux-thread-multi
/usr/lib/perl5/5.8.3/i586-linux-thread-multi /usr/lib/perl5/5.8.3
/usr/lib/perl5/site_perl/5.8.3/i586-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.3/i586-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.3 /usr/lib/perl5/vendor_perl .) at
/usr/local/slimserver/Slim/DataStores/DBI/DBIStore.pm line 13.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">BEGIN failed--compilation aborted at
/usr/local/slimserver/Slim/DataStores/DBI/DBIStore.pm line 13.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">Compilation failed in require at /usr/local/slimserver/Slim/Music/Info.pm
line 18.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">BEGIN failed--compilation aborted at
/usr/local/slimserver/Slim/Music/Info.pm line 18.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">Compilation failed in require at /usr/local/slimserver/Slim/Utils/Misc.pm
line 15.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">BEGIN failed--compilation aborted at
/usr/local/slimserver/Slim/Utils/Misc.pm line 15.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">Compilation failed in require at ./slimserver.pl line 107.</span></font></div>
<div align="left"><font face="Arial"><span style="font-size:10pt">BEGIN failed--compilation aborted at ./slimserver.pl line 107.</span></font></div>
<div align="left"><br/>
</div>
<div align="left"><font face="Arial"><span style="font-size:10pt">[3]+&#160; Exit 2&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
../slimserver.pl</span></font></div>
<div align="left"><br/>
</div>
<div align="left"><font face="Arial"><span style="font-size:10pt">What do I need to do to get 6.0 running on SuSE 9.1?</span></font></div>
</body>
</html>